org.apache.mina.proxy.handlers.socks

## Class SocksProxyConstants

- java.lang.Object
- - org.apache.mina.proxy.handlers.socks.SocksProxyConstants

-     public class SocksProxyConstants
      extends Object

  SocksProxyConstants.java - SOCKS proxy constants.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BASIC_AUTH`
    `static byte` | `BASIC_AUTH_SUBNEGOTIATION_VERSION`
    `static byte` | `DOMAIN_NAME_ADDRESS_TYPE`
    `static byte` | `ESTABLISH_TCPIP_BIND`
    `static byte` | `ESTABLISH_TCPIP_STREAM` Command codes.
    `static byte` | `ESTABLISH_UDP_ASSOCIATE`
    `static byte[]` | `FAKE_IP` Invalid IP used in SOCKS 4a protocol to specify that the client can't resolve the destination host's domain name.
    `static byte` | `GSSAPI_AUTH`
    `static byte` | `GSSAPI_AUTH_SUBNEGOTIATION_VERSION`
    `static byte` | `GSSAPI_MSG_TYPE`
    `static byte` | `IPV4_ADDRESS_TYPE` SOCKS v5 address types.
    `static byte` | `IPV6_ADDRESS_TYPE`
    `static String` | `KERBEROS_V5_OID` Kerberos providers OID's.
    `static String` | `MS_KERBEROS_V5_OID`
    `static byte` | `NO_ACCEPTABLE_AUTH_METHOD`
    `static byte` | `NO_AUTH` SOCKS v5 authentication methods.
    `static String` | `NTLMSSP_OID` Microsoft NTLM security support provider.
    `static int` | `SOCKS_4_RESPONSE_SIZE` The size of a server to client response in a SOCKS4/4a negotiation.
    `static byte` | `SOCKS_VERSION_4` SOCKS versions field values.
    `static byte` | `SOCKS_VERSION_5`
    `static int` | `SOCKS5_AUTH_STEP`
    `static int` | `SOCKS5_GREETING_STEP` SOCKS v5 handshake steps.
    `static int` | `SOCKS5_REQUEST_STEP`
    `static byte[]` | `SUPPORTED_AUTH_METHODS`
    `static byte` | `TERMINATOR`
    `static byte` | `V4_REPLY_REQUEST_FAILED_ID_NOT_CONFIRMED`
    `static byte` | `V4_REPLY_REQUEST_FAILED_NO_IDENTD`
    `static byte` | `V4_REPLY_REQUEST_GRANTED` SOCKS v4/v4a server reply codes.
    `static byte` | `V4_REPLY_REQUEST_REJECTED_OR_FAILED`
    `static byte` | `V5_REPLY_ADDRESS_TYPE_NOT_SUPPORTED`
    `static byte` | `V5_REPLY_COMMAND_NOT_SUPPORTED`
    `static byte` | `V5_REPLY_CONNECTION_REFUSED`
    `static byte` | `V5_REPLY_GENERAL_FAILURE`
    `static byte` | `V5_REPLY_HOST_UNREACHABLE`
    `static byte` | `V5_REPLY_NETWORK_UNREACHABLE`
    `static byte` | `V5_REPLY_NOT_ALLOWED`
    `static byte` | `V5_REPLY_SUCCEEDED` SOCKS v5 server reply codes.
    `static byte` | `V5_REPLY_TTL_EXPIRED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocksProxyConstants()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getReplyCodeAsString(byte code)` Return the string associated with the specified reply code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOCKS_VERSION_4

          public static final byte SOCKS_VERSION_4

      SOCKS versions field values.
      See Also:
        Constant Field Values

    - #### SOCKS_VERSION_5

          public static final byte SOCKS_VERSION_5

      See Also:
        Constant Field Values

    - #### TERMINATOR

          public static final byte TERMINATOR

      See Also:
        Constant Field Values

    - #### SOCKS_4_RESPONSE_SIZE

          public static final int SOCKS_4_RESPONSE_SIZE

      The size of a server to client response in a SOCKS4/4a negotiation.
      See Also:
        Constant Field Values

    - #### FAKE_IP

          public static final byte[] FAKE_IP

      Invalid IP used in SOCKS 4a protocol to specify that the client can't resolve the destination host's domain name.

    - #### ESTABLISH_TCPIP_STREAM

          public static final byte ESTABLISH_TCPIP_STREAM

      Command codes.
      See Also:
        Constant Field Values

    - #### ESTABLISH_TCPIP_BIND

          public static final byte ESTABLISH_TCPIP_BIND

      See Also:
        Constant Field Values

    - #### ESTABLISH_UDP_ASSOCIATE

          public static final byte ESTABLISH_UDP_ASSOCIATE

      See Also:
        Constant Field Values

    - #### V4_REPLY_REQUEST_GRANTED

          public static final byte V4_REPLY_REQUEST_GRANTED

      SOCKS v4/v4a server reply codes.
      See Also:
        Constant Field Values

    - #### V4_REPLY_REQUEST_REJECTED_OR_FAILED

          public static final byte V4_REPLY_REQUEST_REJECTED_OR_FAILED

      See Also:
        Constant Field Values

    - #### V4_REPLY_REQUEST_FAILED_NO_IDENTD

          public static final byte V4_REPLY_REQUEST_FAILED_NO_IDENTD

      See Also:
        Constant Field Values

    - #### V4_REPLY_REQUEST_FAILED_ID_NOT_CONFIRMED

          public static final byte V4_REPLY_REQUEST_FAILED_ID_NOT_CONFIRMED

      See Also:
        Constant Field Values

    - #### V5_REPLY_SUCCEEDED

          public static final byte V5_REPLY_SUCCEEDED

      SOCKS v5 server reply codes.
      See Also:
        Constant Field Values

    - #### V5_REPLY_GENERAL_FAILURE

          public static final byte V5_REPLY_GENERAL_FAILURE

      See Also:
        Constant Field Values

    - #### V5_REPLY_NOT_ALLOWED

          public static final byte V5_REPLY_NOT_ALLOWED

      See Also:
        Constant Field Values

    - #### V5_REPLY_NETWORK_UNREACHABLE

          public static final byte V5_REPLY_NETWORK_UNREACHABLE

      See Also:
        Constant Field Values

    - #### V5_REPLY_HOST_UNREACHABLE

          public static final byte V5_REPLY_HOST_UNREACHABLE

      See Also:
        Constant Field Values

    - #### V5_REPLY_CONNECTION_REFUSED

          public static final byte V5_REPLY_CONNECTION_REFUSED

      See Also:
        Constant Field Values

    - #### V5_REPLY_TTL_EXPIRED

          public static final byte V5_REPLY_TTL_EXPIRED

      See Also:
        Constant Field Values

    - #### V5_REPLY_COMMAND_NOT_SUPPORTED

          public static final byte V5_REPLY_COMMAND_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### V5_REPLY_ADDRESS_TYPE_NOT_SUPPORTED

          public static final byte V5_REPLY_ADDRESS_TYPE_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### IPV4_ADDRESS_TYPE

          public static final byte IPV4_ADDRESS_TYPE

      SOCKS v5 address types.
      See Also:
        Constant Field Values

    - #### DOMAIN_NAME_ADDRESS_TYPE

          public static final byte DOMAIN_NAME_ADDRESS_TYPE

      See Also:
        Constant Field Values

    - #### IPV6_ADDRESS_TYPE

          public static final byte IPV6_ADDRESS_TYPE

      See Also:
        Constant Field Values

    - #### SOCKS5_GREETING_STEP

          public static final int SOCKS5_GREETING_STEP

      SOCKS v5 handshake steps.
      See Also:
        Constant Field Values

    - #### SOCKS5_AUTH_STEP

          public static final int SOCKS5_AUTH_STEP

      See Also:
        Constant Field Values

    - #### SOCKS5_REQUEST_STEP

          public static final int SOCKS5_REQUEST_STEP

      See Also:
        Constant Field Values

    - #### NO_AUTH

          public static final byte NO_AUTH

      SOCKS v5 authentication methods.
      See Also:
        Constant Field Values

    - #### GSSAPI_AUTH

          public static final byte GSSAPI_AUTH

      See Also:
        Constant Field Values

    - #### BASIC_AUTH

          public static final byte BASIC_AUTH

      See Also:
        Constant Field Values

    - #### NO_ACCEPTABLE_AUTH_METHOD

          public static final byte NO_ACCEPTABLE_AUTH_METHOD

      See Also:
        Constant Field Values

    - #### SUPPORTED_AUTH_METHODS

          public static final byte[] SUPPORTED_AUTH_METHODS

    - #### BASIC_AUTH_SUBNEGOTIATION_VERSION

          public static final byte BASIC_AUTH_SUBNEGOTIATION_VERSION

      See Also:
        Constant Field Values

    - #### GSSAPI_AUTH_SUBNEGOTIATION_VERSION

          public static final byte GSSAPI_AUTH_SUBNEGOTIATION_VERSION

      See Also:
        Constant Field Values

    - #### GSSAPI_MSG_TYPE

          public static final byte GSSAPI_MSG_TYPE

      See Also:
        Constant Field Values

    - #### KERBEROS_V5_OID

          public static final String KERBEROS_V5_OID

      Kerberos providers OID's.
      See Also:
        Constant Field Values

    - #### MS_KERBEROS_V5_OID

          public static final String MS_KERBEROS_V5_OID

      See Also:
        Constant Field Values

    - #### NTLMSSP_OID

          public static final String NTLMSSP_OID

      Microsoft NTLM security support provider.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SocksProxyConstants

          public SocksProxyConstants()

  - ### Method Detail

    - #### getReplyCodeAsString

          public static final String getReplyCodeAsString(byte code)

      Return the string associated with the specified reply code.
      Parameters:
        `code` - the reply code
      Returns:
        the reply string

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.